[PATCH] cellmgr-ng[master]: jenkins: use common osmo-build-dep.sh and osmo-clean-workspa...

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Mon Oct 30 04:04:47 UTC 2017


Review at  https://gerrit.osmocom.org/4588

jenkins: use common osmo-build-dep.sh and osmo-clean-workspace.sh

Since the gerrit build jobs no longer contain git clean workspace config (for
good reasons), it is important to use osmo-clean-workspace.sh. To make it work
best, this jenkins.sh should follow the same structure as most others do.

Change-Id: I4f5c2346f3b811c1550bf114e1692d33321118cc
---
M contrib/jenkins.sh
1 file changed, 38 insertions(+), 34 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/cellmgr-ng refs/changes/88/4588/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 679df6a..ad975a5 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,41 +1,45 @@
 #!/usr/bin/env bash
 
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+	echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+	exit 2
+fi
+
 set -ex
 
-rm -rf deps/install
-mkdir deps || true
-cd deps
-osmo-deps.sh libosmocore
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
 
-cd libosmocore
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
+osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
+
+verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+osmo-build-dep.sh libosmo-abis
+osmo-build-dep.sh libosmo-netif
+osmo-build-dep.sh libosmo-sccp
+
+set +x
+echo
+echo
+echo
+echo " =============================== cellmgr-ng ==============================="
+echo
+set -x
+
+cd "$base"
 autoreconf --install --force
-./configure --prefix=$PWD/../install ac_cv_path_DOXYGEN=false
-$MAKE $PARALLEL_MAKE install
+./configure --enable-external-tests
+$MAKE $PARALLEL_MAKE
+$MAKE distcheck \
+  || cat-testlogs.sh
 
-cd ../
-osmo-deps.sh libosmo-abis
-cd libosmo-abis
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/../install/lib/pkgconfig:$PKG_CONFIG_PATH ./configure --prefix=$PWD/../install  
-PKG_CONFIG_PATH=$PWD/..//install/lib/pkgconfig:$PKG_CONFIG_PATH $MAKE $PARALLEL_MAKE install
-
-cd ../
-osmo-deps.sh libosmo-netif
-cd libosmo-netif
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/../install/lib/pkgconfig:$PKG_CONFIG_PATH ./configure --prefix=$PWD/../install  
-PKG_CONFIG_PATH=$PWD/..//install/lib/pkgconfig:$PKG_CONFIG_PATH $MAKE $PARALLEL_MAKE install
-
-
-cd ../
-osmo-deps.sh libosmo-sccp
-cd libosmo-sccp
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/../install/lib/pkgconfig ./configure --prefix=$PWD/../install  
-PKG_CONFIG_PATH=$PWD/..//install/lib/pkgconfig $MAKE $PARALLEL_MAKE install
-
-cd ../../
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig ./configure --enable-external-tests
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig $MAKE $PARALLEL_MAKE
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
+osmo-clean-workspace.sh

-- 
To view, visit https://gerrit.osmocom.org/4588
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I4f5c2346f3b811c1550bf114e1692d33321118cc
Gerrit-PatchSet: 1
Gerrit-Project: cellmgr-ng
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list